org.gdal.gdal

## Class XMLNode

- java.lang.Object
- - org.gdal.gdal.XMLNode

-     public class XMLNode
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNode(String pszString)`
    `XMLNode(XMLNodeType eType, String pszText)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `AddXMLChild(XMLNode psChild)`
    `void` | `AddXMLSibling(XMLNode psNewSibling)`
    `XMLNode` | `Clone()`
    `void` | `delete()`
    `boolean` | `equals(Object obj)`
    `XMLNode` | `getChild()`
    `XMLNode` | `getNext()`
    `XMLNodeType` | `getType()`
    `String` | `getValue()`
    `XMLNode` | `GetXMLNode(String pszPath)`
    `String` | `GetXMLValue(String pszPath, String pszDefault)`
    `int` | `hashCode()`
    `static XMLNode` | `ParseXMLFile(String pszFilename)`
    `XMLNode` | `SearchXMLNode(String pszElement)`
    `String` | `SerializeXMLTree()`
    `int` | `SetXMLValue(String pszPath, String pszValue)`
    `void` | `StripXMLNamespace(String pszNamespace, int bRecurse)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNode

          public XMLNode(String pszString)

    - #### XMLNode

          public XMLNode(XMLNodeType eType,
                         String pszText)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getType

          public XMLNodeType getType()

    - #### getValue

          public String getValue()

    - #### getNext

          public XMLNode getNext()

    - #### getChild

          public XMLNode getChild()

    - #### ParseXMLFile

          public static XMLNode ParseXMLFile(String pszFilename)

    - #### SerializeXMLTree

          public String SerializeXMLTree()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### SearchXMLNode

          public XMLNode SearchXMLNode(String pszElement)

    - #### GetXMLNode

          public XMLNode GetXMLNode(String pszPath)

    - #### GetXMLValue

          public String GetXMLValue(String pszPath,
                                    String pszDefault)

    - #### AddXMLChild

          public void AddXMLChild(XMLNode psChild)

    - #### AddXMLSibling

          public void AddXMLSibling(XMLNode psNewSibling)

    - #### Clone

          public XMLNode Clone()

    - #### SetXMLValue

          public int SetXMLValue(String pszPath,
                                 String pszValue)

    - #### StripXMLNamespace

          public void StripXMLNamespace(String pszNamespace,
                                        int bRecurse)